// Copyright (c) 2025 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UMovieSceneSignedObject.h"
#include "SCW_UObject.h"

class UMovieSceneSignedObject;

namespace Sourcify
{
	class SCW_UMovieSceneSignedObject : public SCW_UObject, public virtual ISCW_UMovieSceneSignedObject
	{
	public:
		SCW_UMovieSceneSignedObject(UMovieSceneSignedObject* InMovieSceneSignedObject);

		UMovieSceneSignedObject* ToUMovieSceneSignedObject() const;

		ISCW_UMovieSceneSignedObjectPtr ToUMovieSceneSignedObjectPtr() override;
		ISCW_UMovieSceneSignedObjectConstPtr ToUMovieSceneSignedObjectPtr() const override;

	protected:
		UMovieSceneSignedObject* MovieSceneSignedObject;
	};
} // namespace Sourcify